name = "btard";

health = 100;

physic = 1;
phys_solid = 0;
phys_bullet_collidable = 1;
phys_max_x_vel = 5;
phys_max_y_vel = 50;
phys_jump_vel = 20;
phys_walk_acc = 3;
mp_count = 1;

FunctionName = "CreateEnemy";

--  

texture = "btard";
z = -0.1;

image_width = 1024;
image_height = 1024;
frame_width = 256;
frame_height = 128;
frames_count = 29;

animations = 
{
	{ 
		-- 
		name = "init";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ com = constants.AnimComSetHealth; param = 30 + math.random(20) },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = 800 },
			{ com = constants.AnimComSetGravity },
			{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{ 
		-- 
		name = "idle";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ dur = 100; num = 0; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			{ dur = 100; num = 1; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			{ dur = 100; num = 2; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			{ dur = 100; num = 3; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			{ dur = 100; num = 4; com = constants.AnimComWaitForTarget; param = 3000; txt = "move" },
			--{ dur = 100; num = 4 },
			--{ dur = 100; num = 5 },
			{ com = constants.AnimComLoop }	
		}
	},
	{ 
		-- 
		name = "pain";
		frames = 
		{
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComCreateParticles; txt = "pblood-wound" },
			--{ com = constants.AnimComRecover }
			{ com = constants.AnimComSetAnim; txt = "idle" }
		}
	},
	{ 
		-- 
		name = "move";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			{ dur = 100; num = 5; com = constants.AnimComMoveToTargetX; param = 25 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			{ dur = 100; num = 6; com = constants.AnimComMoveToTargetX; param = 25 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			{ dur = 100; num = 7; com = constants.AnimComMoveToTargetX; param = 25 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			{ dur = 100; num = 8; com = constants.AnimComMoveToTargetX; param = 50 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			{ dur = 100; num = 9; com = constants.AnimComMoveToTargetX; param = 50 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			{ dur = 100; num = 10; com = constants.AnimComMoveToTargetX; param = 50 },
			{ com = constants.AnimComPushInt; param = 100 },
			{ com = constants.AnimComJumpIfTargetClose; param = 28 },
			--    ""
			{ com = constants.AnimComPushInt; param = 200 },
			{ com = constants.AnimComJumpRandom; param = 13 },
			{ com = constants.AnimComSetAnim; txt = "think" },
			{ com = constants.AnimComLoop },
			{ com = constants.AnimComSetAnim; txt = "attack" }	
		}
	},
	{
		name = "think";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ dur = 200; num = 0; com = constants.AnimComWaitForTarget; param = 100; txt = "move" },
			{ dur = 200; num = 1; com = constants.AnimComWaitForTarget; param = 100; txt = "move" },
			{ dur = 200; num = 2; com = constants.AnimComWaitForTarget; param = 100; txt = "move" },
			{ dur = 200; num = 3; com = constants.AnimComWaitForTarget; param = 100; txt = "move" },
			{ dur = 200; num = 4; com = constants.AnimComWaitForTarget; param = 100; txt = "move" },
			--      0.5
			{ com = constants.AnimComPushInt; param = 128 },
			{ com = constants.AnimComJumpRandom; param = 12 },
			{ com = constants.AnimComSetAnim; txt = "move" },
			{ com = constants.AnimComLoop }	
		}
	},
	{ 
		-- 
		name = "jump";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ dur = 100; num = 0 },
			{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{ 
		-- 
		name = "die";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 128 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 1 },
			{ com = constants.AnimComMapVarAdd; param = 1; txt = "kills" },
			{ dur = 100; num = 18 },	
			{ dur = 100; num = 19 },
			{ com = constants.AnimComPushInt; param = 0 },
			{ com = constants.AnimComPushInt; param = -48 },
			{ dur = 100; num = 20; com = constants.AnimComCreateParticles; txt = "pblood" },
			{ dur = 100; num = 21 },
			{ dur = 100; num = 22 },
			{ dur = 100; num = 23 },
			{ dur = 100; num = 24 },
			{ com = constants.AnimComPushInt; param = -128 },
			{ com = constants.AnimComPushInt; param = -96 },
			{ com = constants.AnimComPlaySound; txt = "land" },
			{ dur = 100; num = 25, com = constants.AnimComCreateObject; txt = "dust-land" },
			{ dur = 100; num = 26 },
			{ com = constants.AnimComPushInt; param = -128 },
			{ com = constants.AnimComPushInt; param = -64 },
			--{ dur = 100; num = 25, com = constants.AnimComCreateObject; txt = "btard-corpse"; param = 1 },
			{ dur = 100; num = 28 }
			--{ com = constants.AnimComSetAnim; txt = "idle" }	
		}
	},
	{
		name = "attack";
		frames =
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ com = constants.AnimComFaceTarget },
			{ dur = 100; num = 11 },
			{ dur = 100; num = 12 },
			{ dur = 100; num = 13 },
			{ com = constants.AnimComPushInt; param = 50 },
			{ com = constants.AnimComPushInt; param = 0 },
			{ dur = 100; num = 14; com = constants.AnimComCreateEnemyBullet; txt = "btard-punch" },
			--{ dur = 100; num = 14; com = constants.AnimComCreateSprite; txt = "btard-punch" },
			{ dur = 100; num = 15 },
			{ dur = 400; num = 16 }, -- 
			{ com = constants.AnimComSetAnim; txt = "move" }
		}
	},
	{ 
		-- 
		name = "land";
		frames = 
		{
			{ com = constants.AnimComRealX; param = 125 },
			{ com = constants.AnimComRealY; param = 53 },
			{ com = constants.AnimComRealW; param = 36 },
			{ com = constants.AnimComRealH; param = 75 },
			{ com = constants.AnimComPlaySound; txt = "land" },
			{ com = constants.AnimComPushInt; param = -128 },
			{ com = constants.AnimComPushInt; param = -56 },
			{ com = constants.AnimComCreateObject; txt = "dust-land" },
			{ com = constants.AnimComSetAnim; txt = "idle" }
		}
	}
	
}



